> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Station Discovery

> Usage patterns for station discovery and visualization endpoints

Station endpoints are general lookup endpoints that are **not tied to specific users**. They provide three primary ways to access charging station information.

## Map Rendering Flow

Use the tile endpoint for map-based station visualization and clustering.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://connect.cariqa.com/api/v1/stations/tile/?x=274332&y=178643&z=19&only_partners=true" \
    -H "Authorization: Bearer YOUR_API_TOKEN" \
    -H "Content-Type: application/json"
  ```

  ```python Python theme={null}
  import requests

  headers = {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  }

  response = requests.get(
      "https://connect.cariqa.com/api/v1/stations/tile/",
      headers=headers,
      params={
          "z": 19,
          "x": 274332,
          "y": 178643,
  		"only_partners": "true"
      }
  )
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://connect.cariqa.com/api/v1/stations/tile/?x=274332&y=178643&z=19&only_partners=true', {
    headers: {
      'Authorization': 'Bearer YOUR_API_TOKEN',
      'Content-Type': 'application/json'
    }
  });
  ```
</CodeGroup>

Response includes station features and clusters for map rendering:

```json theme={null}
{
  "type": "FeatureCollection",
  "features": [
    {
      "type": "Feature",
      "station_id": "8125a4fb3197c72f9db92c8c2253e9dd",
      "geometry": {
        "type": "Point",
        "coordinates": [
          "49.630383",
          "8.368902"
        ]
      },
      "properties": {
        "count": 1,
        "speed": "slow",
        "status": "free",
        "operator_id": "EVA Charge"
      },
      "custom_properties": {
        "is_partner": true,
      },
      "price_properties": {
        "price": "0.2",
        "type": "charging_price",
        "currency": "eur"
      }
    },
	{
      "type": "Feature",
      "cluster_id": "07b3c818cedbbe34b2568cd7d84069f1",
      "geometry": {
        "type": "Point",
        "coordinates": [
          "43.630383",
          "7.368902"
        ]
      },
      "properties": {
        "count": 42,
        "expansion_zoom": 14
      }
    }
  ]
}
```

## Detail View Flow

Get complete station information when displaying station details.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://connect.cariqa.com/api/v1/stations/details/?type=evse_id&id=DE*CIQ*EELDF6XWZU41P*1" \
    -H "Authorization: Bearer YOUR_API_TOKEN" \
    -H "Content-Type: application/json"
  ```

  ```python Python theme={null}
  import requests

  headers = {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  }

  response = requests.get(
      "https://connect.cariqa.com/api/v1/stations/details/",
      headers=headers,
      params={
          "type": "evse_id",
          "id": "DE*CIQ*EELDF6XWZU41P*1"
      }
  )
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://connect.cariqa.com/api/v1/stations/details/?type=evse_id&id=DE*CIQ*EELDF6XWZU41P*1', {
    headers: {
      'Authorization': 'Bearer YOUR_API_TOKEN',
      'Content-Type': 'application/json'
    }
  });
  ```
</CodeGroup>

Response provides the same comprehensive station data structure as the nearby search, including all connector details, pricing information, and operational status:

```json expandable theme={null}
{
    "id": "8125a4fb3197c72f9db92c8c2253e9dd",
    "name": "EVA Charge",
    "speed": "slow",
    "address": "Ludwigstraße, 9, 67547, Worms",
    "status": "free",
    "coordinates": {
      "latitude": "49.630383",
      "longitude": "8.368902"
    },
    "opening_times": {
      "twentyfourseven": true,
      "regular_hours": []
    },
    "operator": {
      "name": "EVA Charge",
      "contact": {
        "phone": "+4971134214480"
      }
    },
    "evses": [
      {
        "evse_id": "DE*CIQ*EELDF6XWZU41P*2",
        "status": "AVAILABLE"
      },
      {
        "evse_id": "DE*CIQ*EWBNHHLM82TLA*2",
        "status": "AVAILABLE"
      },
      {
        "evse_id": "DE*CIQ*EELDF6XWZU41P*1",
        "status": "AVAILABLE"
      },
      {
        "evse_id": "DE*CIQ*EWBNHHLM82TLA*1",
        "status": "CHARGING"
      }
    ],
    "last_updated": "2026-04-02T10:42:22Z",
    "amenities": [],
    "is_partner": true,
    "price_groups": [
      {
        "type": "IEC_62196_T2",
        "power": 22,
        "evse_ids": [
          "DE*CIQ*EELDF6XWZU41P*2",
          "DE*CIQ*EWBNHHLM82TLA*2",
          "DE*CIQ*EELDF6XWZU41P*1",
          "DE*CIQ*EWBNHHLM82TLA*1"
        ],
        "prices": {
          "time_price": null,
          "kwh_price": {
            "MONDAY": [
              {
                "time_from": "00:00",
                "time_to": "01:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "01:00",
                "time_to": "02:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "02:00",
                "time_to": "03:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "03:00",
                "time_to": "04:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "04:00",
                "time_to": "05:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "05:00",
                "time_to": "06:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "06:00",
                "time_to": "07:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "07:00",
                "time_to": "08:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "08:00",
                "time_to": "09:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "09:00",
                "time_to": "10:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "10:00",
                "time_to": "11:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "11:00",
                "time_to": "12:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "12:00",
                "time_to": "13:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "13:00",
                "time_to": "14:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "14:00",
                "time_to": "15:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "15:00",
                "time_to": "16:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "16:00",
                "time_to": "17:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "17:00",
                "time_to": "18:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "18:00",
                "time_to": "19:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "19:00",
                "time_to": "20:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "20:00",
                "time_to": "21:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "21:00",
                "time_to": "22:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "22:00",
                "time_to": "23:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "23:00",
                "time_to": "00:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              }
            ],
            "TUESDAY": [
              {
                "time_from": "00:00",
                "time_to": "01:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "01:00",
                "time_to": "02:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "02:00",
                "time_to": "03:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "03:00",
                "time_to": "04:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "04:00",
                "time_to": "05:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "05:00",
                "time_to": "06:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "06:00",
                "time_to": "07:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "07:00",
                "time_to": "08:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "08:00",
                "time_to": "09:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "09:00",
                "time_to": "10:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "10:00",
                "time_to": "11:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "11:00",
                "time_to": "12:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "12:00",
                "time_to": "13:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "13:00",
                "time_to": "14:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "14:00",
                "time_to": "15:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "15:00",
                "time_to": "16:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "16:00",
                "time_to": "17:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "17:00",
                "time_to": "18:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "18:00",
                "time_to": "19:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "19:00",
                "time_to": "20:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "20:00",
                "time_to": "21:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "21:00",
                "time_to": "22:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "22:00",
                "time_to": "23:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "23:00",
                "time_to": "00:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              }
            ],
            "WEDNESDAY": [
              {
                "time_from": "00:00",
                "time_to": "01:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "01:00",
                "time_to": "02:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "02:00",
                "time_to": "03:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "03:00",
                "time_to": "04:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "04:00",
                "time_to": "05:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "05:00",
                "time_to": "06:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "06:00",
                "time_to": "07:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "07:00",
                "time_to": "08:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "08:00",
                "time_to": "09:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "09:00",
                "time_to": "10:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "10:00",
                "time_to": "11:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "11:00",
                "time_to": "12:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "12:00",
                "time_to": "13:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "13:00",
                "time_to": "14:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "14:00",
                "time_to": "15:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "15:00",
                "time_to": "16:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "16:00",
                "time_to": "17:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "17:00",
                "time_to": "18:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "18:00",
                "time_to": "19:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "19:00",
                "time_to": "20:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "20:00",
                "time_to": "21:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "21:00",
                "time_to": "22:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "22:00",
                "time_to": "23:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "23:00",
                "time_to": "00:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              }
            ],
            "THURSDAY": [
              {
                "time_from": "00:00",
                "time_to": "01:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "01:00",
                "time_to": "02:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "02:00",
                "time_to": "03:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "03:00",
                "time_to": "04:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "04:00",
                "time_to": "05:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "05:00",
                "time_to": "06:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "06:00",
                "time_to": "07:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "07:00",
                "time_to": "08:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "08:00",
                "time_to": "09:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "09:00",
                "time_to": "10:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "10:00",
                "time_to": "11:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "11:00",
                "time_to": "12:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "12:00",
                "time_to": "13:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "13:00",
                "time_to": "14:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "14:00",
                "time_to": "15:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "15:00",
                "time_to": "16:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "16:00",
                "time_to": "17:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "17:00",
                "time_to": "18:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "18:00",
                "time_to": "19:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "19:00",
                "time_to": "20:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "20:00",
                "time_to": "21:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "21:00",
                "time_to": "22:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "22:00",
                "time_to": "23:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "23:00",
                "time_to": "00:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              }
            ],
            "FRIDAY": [
              {
                "time_from": "00:00",
                "time_to": "01:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "01:00",
                "time_to": "02:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "02:00",
                "time_to": "03:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "03:00",
                "time_to": "04:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "04:00",
                "time_to": "05:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "05:00",
                "time_to": "06:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "06:00",
                "time_to": "07:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "07:00",
                "time_to": "08:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "08:00",
                "time_to": "09:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "09:00",
                "time_to": "10:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "10:00",
                "time_to": "11:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "11:00",
                "time_to": "12:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "12:00",
                "time_to": "13:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "13:00",
                "time_to": "14:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "14:00",
                "time_to": "15:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "15:00",
                "time_to": "16:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "16:00",
                "time_to": "17:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "17:00",
                "time_to": "18:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "18:00",
                "time_to": "19:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "19:00",
                "time_to": "20:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "20:00",
                "time_to": "21:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "21:00",
                "time_to": "22:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "22:00",
                "time_to": "23:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "23:00",
                "time_to": "00:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              }
            ],
            "SATURDAY": [
              {
                "time_from": "00:00",
                "time_to": "01:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "01:00",
                "time_to": "02:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "02:00",
                "time_to": "03:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "03:00",
                "time_to": "04:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "04:00",
                "time_to": "05:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "05:00",
                "time_to": "06:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "06:00",
                "time_to": "07:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "07:00",
                "time_to": "08:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "08:00",
                "time_to": "09:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "09:00",
                "time_to": "10:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "10:00",
                "time_to": "11:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "11:00",
                "time_to": "12:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "12:00",
                "time_to": "13:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "13:00",
                "time_to": "14:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "14:00",
                "time_to": "15:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "15:00",
                "time_to": "16:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "16:00",
                "time_to": "17:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "17:00",
                "time_to": "18:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "18:00",
                "time_to": "19:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "19:00",
                "time_to": "20:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "20:00",
                "time_to": "21:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "21:00",
                "time_to": "22:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "22:00",
                "time_to": "23:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "23:00",
                "time_to": "00:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              }
            ],
            "SUNDAY": [
              {
                "time_from": "00:00",
                "time_to": "01:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "01:00",
                "time_to": "02:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "02:00",
                "time_to": "03:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "03:00",
                "time_to": "04:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "04:00",
                "time_to": "05:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "05:00",
                "time_to": "06:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "06:00",
                "time_to": "07:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "07:00",
                "time_to": "08:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "08:00",
                "time_to": "09:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "09:00",
                "time_to": "10:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "10:00",
                "time_to": "11:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "11:00",
                "time_to": "12:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "12:00",
                "time_to": "13:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "13:00",
                "time_to": "14:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "14:00",
                "time_to": "15:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "15:00",
                "time_to": "16:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "16:00",
                "time_to": "17:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "17:00",
                "time_to": "18:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "18:00",
                "time_to": "19:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "19:00",
                "time_to": "20:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "20:00",
                "time_to": "21:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "21:00",
                "time_to": "22:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1690",
                "user_facing_price": "0.20",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "22:00",
                "time_to": "23:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              },
              {
                "time_from": "23:00",
                "time_to": "00:00",
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "0.1950",
                "user_facing_price": "0.23",
                "grace_period_minutes": null,
                "tax": 19,
                "blocking_cap": null
              }
            ]
          },
          "blocking_fee": {
            "ALL": [
              {
                "time_from": null,
                "time_to": null,
                "date_from": "2025-12-17",
                "date_to": null,
                "gross_price": "4.02",
                "user_facing_price": "0.08",
                "grace_period_minutes": 0,
                "tax": 19,
                "blocking_cap": null
              }
            ]
          },
          "session_fee": null,
          "starting_fee": null
        },
        "local_datetime": "2026-04-02T12:42:22.671636+02:00",
        "currency": "eur",
        "pre_authorization_amount": "30.00",
        "is_fallback": false
      }
    ],
    "logo_url": "https://storage.googleapis.com/cariqa-cpo-logos/custom_evacharge_dev_station_logo.png?generation=1766404007574021&md5_hash=e1e6197d26b8de242509afbbdd66a71a&size=4150"
}
```

## Nearby Search Flow

Find stations around a specific location for location-based discovery.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://connect.cariqa.com/api/v1/stations/around/?latitude=49.630383&longitude=8.368902&distance=10" \
    -H "Authorization: Bearer YOUR_API_TOKEN" \
    -H "Content-Type: application/json"
  ```

  ```python Python theme={null}
  import requests

  headers = {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  }

  response = requests.get(
      "https://connect.cariqa.com/api/v1/stations/around/",
      headers=headers,
      params={
          "latitude": 49.630383,
          "longitude": 8.368902,
          "distance": 10
      }
  )
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('https://connect.cariqa.com/api/v1/stations/around/?latitude=49.630383&longitude=8.368902&distance=10', {
    headers: {
      'Authorization': 'Bearer YOUR_API_TOKEN',
      'Content-Type': 'application/json'
    }
  });
  ```
</CodeGroup>

Response provides detailed station information with pricing and availability:

```json theme={null}
{
  "count": 1,
  "next": null,
  "previous": null,
  "results": [
	{
    	"id": "8125a4fb3197c72f9db92c8c2253e9dd",
	    "name": "EVA Charge",
    	"speed": "slow",
    	"address": "Ludwigstraße, 9, 67547, Worms",
		...
	}
  ]
}
```

## Key Station Data

* **Station Information**: Complete location details, operator info, and contact information
* **EVSE Status**: Real-time availability status for each charging point
* **Pricing Details**: Comprehensive pricing structure including parking fees and session fees
* **Technical Specifications**: Connector types, power levels, and charging speeds
* **Partner Status**: Whether the station is a direct partner for revenue sharing
